//--------------------------------------------------------------
// File     : main.c
// Datum    : 21.09.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der MCP25050 Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_mcp25050.h"
#include "stm32_ub_led.h"

int main(void)
{
  uint32_t mcp_ok=0;
  uint32_t n;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der LEDs
  UB_Led_Init();

  // init vom MCP25050
  UB_MCP25050_Init();

  while(1)
  {
	  if(mcp_ok==0) {
		  UB_Led_On(LED_RED);
		  // MCP25050 am CAN-Bus suchen
		  if(UB_MCP25050_Check()==SUCCESS) {
			  // MCP25050 gefunden
			  mcp_ok=1;
			  // GPIO0 und GPIO1 als Ausgang definieren
			  UB_MCP25050_PIN_Define(MCP_GP0, MCP_GPIO_OUT);
			  UB_MCP25050_PIN_Define(MCP_GP1, MCP_GPIO_OUT);
			  // an GPIO0 einen Lo-Pegel ausgeben
			  UB_MCP25050_GPIO_Lo(MCP_GP0);
			  // an GPIO1 einen Hi-Pegel ausgeben
			  UB_MCP25050_GPIO_Hi(MCP_GP1);
		  }
	  }
	  else {
		 // MCP25050 ist ok
		  UB_Led_Off(LED_RED);
		  UB_Led_On(LED_GREEN);
	  }
  }
}

